aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.UpdateGroup

Synopsis

- data UpdateGroup = UpdateGroup {
  - ugGroupName :: Text
  - ugNewGroupName :: Maybe Text
  - ugNewPath :: Maybe Text
  }
- data UpdateGroupResponse = UpdateGroupResponse

# Documentation

data UpdateGroup #

Updates the name and/or path of the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateGroup.html

Constructors

UpdateGroup |

Fields

- ugGroupName :: Text

  Name of the group to be updated.

- ugNewGroupName :: Maybe Text

  New name for the group.

- ugNewPath :: Maybe Text

  New path to which the group will be moved.

#### Instances

Instances details

SignQuery UpdateGroup # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ServiceConfiguration UpdateGroup |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration

Methods

signQuery :: UpdateGroup -> ServiceConfiguration UpdateGroup queryType -> SignatureData -> SignedQuery #

Show UpdateGroup # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods showsPrec :: Int -> UpdateGroup -> ShowS # show :: UpdateGroup -> String # showList :: [UpdateGroup] -> ShowS #
Eq UpdateGroup # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods (==) :: UpdateGroup -> UpdateGroup -> Bool # (/=) :: UpdateGroup -> UpdateGroup -> Bool #
Ord UpdateGroup # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods compare :: UpdateGroup -> UpdateGroup -> Ordering # (<) :: UpdateGroup -> UpdateGroup -> Bool # (<=) :: UpdateGroup -> UpdateGroup -> Bool # (>) :: UpdateGroup -> UpdateGroup -> Bool # (>=) :: UpdateGroup -> UpdateGroup -> Bool # max :: UpdateGroup -> UpdateGroup -> UpdateGroup # min :: UpdateGroup -> UpdateGroup -> UpdateGroup #
ResponseConsumer UpdateGroup UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ResponseMetadata UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateGroup -> IORef (ResponseMetadata UpdateGroupResponse) -> HTTPResponseConsumer UpdateGroupResponse #

Transaction UpdateGroup UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
type ServiceConfiguration UpdateGroup # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration

data UpdateGroupResponse #

Constructors

UpdateGroupResponse |

#### Instances

Instances details

AsMemoryResponse UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type MemoryResponse UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse

Methods

loadToMemory :: UpdateGroupResponse -> ResourceT IO (MemoryResponse UpdateGroupResponse) #

Show UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods showsPrec :: Int -> UpdateGroupResponse -> ShowS # show :: UpdateGroupResponse -> String # showList :: [UpdateGroupResponse] -> ShowS #
Eq UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods (==) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool # (/=) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool #
Ord UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Methods

compare :: UpdateGroupResponse -> UpdateGroupResponse -> Ordering #

(<) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool #

(<=) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool #

(>) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool #

(>=) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool #

max :: UpdateGroupResponse -> UpdateGroupResponse -> UpdateGroupResponse #

min :: UpdateGroupResponse -> UpdateGroupResponse -> UpdateGroupResponse #

ResponseConsumer UpdateGroup UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ResponseMetadata UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateGroup -> IORef (ResponseMetadata UpdateGroupResponse) -> HTTPResponseConsumer UpdateGroupResponse #

Transaction UpdateGroup UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
type MemoryResponse UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse
type ResponseMetadata UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata